import _objectDestructuringEmpty from "@babel/runtime/helpers/objectDestructuringEmpty";
import _Select from "@alifd/next/es/select";
var Option = _Select.Option;
var options = [{
  value: "24px",
  label: "超大"
}, {
  value: "20px",
  label: "大"
}, {
  value: "16px",
  label: "中"
}, {
  value: "12px",
  label: "小"
}, {
  value: "8px",
  label: "超小"
}, {
  value: "0",
  label: "无"
}];
export default function StyleSelect(props) {
  _objectDestructuringEmpty(props);
  return /*#__PURE__*/React.createElement(_Select, {
    style: {
      width: "100%"
    },
    hasClear: true
  }, options.map(function (op) {
    return /*#__PURE__*/React.createElement(Option, {
      value: op.value
    }, op.label, "(", op.value, ")");
  }), /*#__PURE__*/React.createElement(Option, {
    value: undefined
  }, "\u81EA\u5B9A\u4E49"));
}